Name: 		cogito
Version: 	0.18rc1
Release: 	1%{?dist}
Summary:  	The Cogito Version Control System
License: 	GPL
Group: 		Development/Tools
URL: 		http://kernel.org/pub/software/scm/cogito/
Source: 	http://kernel.org/pub/software/scm/cogito/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: 	git-core >= 1.1.0
BuildRequires: 	asciidoc, xmlto
BuildArch:	noarch

%description
Cogito is a version control system layered on top of the git tree history
storage system. It aims at seamless user interface and ease of use, providing
generally smoother user experience than the "raw" Core GIT itself and indeed
many other version control systems.

%prep
%setup -q

%build

make %{_smp_mflags} all doc

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} libdir=%{_libdir}/cogito mandir=%{_mandir} \
	install install-doc
rm -rf $RPM_BUILD_ROOT/%{_prefix}/share/doc/cogito/txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{_libdir}/cogito
%{_libdir}/cogito/*
%dir %{_datadir}/cogito
%{_datadir}/cogito/*
%{_mandir}/man*/*
%doc README COPYING Documentation/tutorial-script

%changelog
* Tue Jan 10 2006 Chris Wright <chrisw@redhat.com> 0.16.2-2
- add xmlto to BuildRequires

* Thu Dec 8 2005 H. Peter Anvin <hpa@zytor.com>
- add %{_smp_mflags}

* Tue Nov 1 2005 Pavel Roskin <proski@gnu.org> 0.15.1-1
- generate and include manuals

* Tue Oct 11 2005 Chris Wright <chrisw@osdl.org> 0.15.1-1
- use %dist

* Fri Sep 16 2005 Chris Wright <chrisw@osdl.org> 0.14.1-2
- fix _libdir breakage on 64-bit, the irony...

* Thu Sep 15 2005 Chris Wright <chrisw@osdl.org> 0.14.1-1
- Update to 0.14.1

* Mon Aug 15 2005 Chris Wright <chrisw@osdl.org> 0.13-3
- Update Buildroot, Requires and drop Vendor
- use %{_libdir}

* Wed Aug 10 2005 Pavel Roskin <proski@gnu.org> 0.13-1
- Update summary and description
- Make architecture-independent

* Wed Jul 6 2005 Chris Wright <chrisw@osdl.org> 0.12-1
- update spec file

* Thu Jun 9 2005 Chris Wright <chrisw@osdl.org> 0.11.3-1
- Add openssl patch from Dan Holmsand <holmsand@gmail.com>
- Add cg-Xlib patch to fix showdate output
- Update %files with changes inspired by Neil Horman <nhorman@redhat.com>

* Mon May 9 2005 H. Peter Anvin <hpa@zytor.com> 0.10-1
- New upstream revision
- Rename spec file to cogito.spec

* Wed Apr 27 2005 Terje Rosten <terje.rosten@ntnu.no> 0.8-2
- Doc files
- Use %%{_prefix} macro
- Rename spec file
- Drop -n option to %%setup macro

* Mon Apr 25 2005 Chris Wright <chrisw@osdl.org> 0.8-1
- Update to cogito, rename package, move to /usr/bin, update prereqs

* Mon Apr 25 2005 Chris Wright <chrisw@osdl.org> 0.7-1
- Update to 0.7

* Thu Apr 21 2005 Chris Wright <chrisw@osdl.org> 0.6.3-1
- Initial rpm build
